Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.decorator
Class ShufflingMoveSelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector
          org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector
              org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
                  org.optaplanner.core.impl.heuristic.selector.move.decorator.ShufflingMoveSelector

All Implemented Interfaces:
  Iterable<Move>, EventListener, SelectionCacheLifecycleListener, IterableSelector<Move>, MoveSelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class ShufflingMoveSelector

extends AbstractCachingMoveSelector

Field Summary

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
`cachedMoveList, cacheType, childMoveSelector`

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`ShufflingMoveSelector(MoveSelector childMoveSelector, SelectionCacheType cacheType)`

Method Summary
`boolean` | `isNeverEnding()` Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases).
`Iterator<Move>` | `iterator()`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
`constructCache, disposeCache, getCacheType, getChildMoveSelector, getSize, isContinuous`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### ShufflingMoveSelector

    public ShufflingMoveSelector(MoveSelector childMoveSelector,
                                 SelectionCacheType cacheType)

Method Detail

### isNeverEnding

    public boolean isNeverEnding()

  Description copied from interface: `Selector`
  Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).

  Returns:
    true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false.

### iterator

    public Iterator<Move> iterator()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.